Label Editor Lite Software System Requirements

To use the Label Editor Lite software, your Mac should meet these requirements:

Operating system OS X 10.9

OS X 10.8.x

OS X 10.7.x

OS X 10.6.x

Hard drive space About 40MB
Display 1024 × 768 (XGA) or higher resolution
Interface USB 1.1 Full-speed
Note: Visit Epson's support website at epson.com/support (U.S.) or epson.ca/support (Canada) for the latest in compatibility and drivers for your product.